<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class CreateCounterTable extends Migration {
  public function up() {
    
    $this->forge->addField([
      'CounterID' => ['type' => 'INT', 'auto_increment' => true, 'unsigned' => true],
      'CounterValue'  => ['type' => 'INT', 'null' => false],
      'CounterStart' => ['type' => 'INT', 'null' => false],
      'CounterEnd' => ['type' => 'INT', 'null' => false],
      'CounterDesc' => ['type' => 'varchar', 'constraint' => 255, 'null' => true],
      'CounterReset' => ['type' => 'varchar', 'constraint' => 1, 'null' => true],
      'CreateDate' => ['type' => 'Datetime', 'null' => true],
      'EndDate' => ['type' => 'DATETIME', 'null' => true]
    ]);
    $this->forge->addKey('CounterID', true);
    $this->forge->createTable('counter');
  }

  public function down() {
    $this->forge->dropTable('counter');
  }
}